Bug 615549 - SELinux is preventing /usr/sbin/exim "getattr" access on /home/frank/.procmailrc.
SELinux is preventing /usr/sbin/exim "getattr" access on /home/frank/.pr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:07f6c999cae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 23:19 EDT by Frank Chiulli
Modified: 2011-06-06 03:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 03:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Chiulli 2010-07-16 23:19:41 EDT
Summary:

SELinux is preventing /usr/sbin/exim "getattr" access on
/home/frank/.procmailrc.

Detailed Description:

SELinux denied access requested by exim. It is not expected that this access is
required by exim and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:exim_t:s0
Target Context                unconfined_u:object_r:procmail_home_t:s0
Target Objects                /home/frank/.procmailrc [ file ]
Source                        exim
Source Path                   /usr/sbin/exim
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           exim-4.72-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.fc13.i686.PAE #1 SMP Tue
                              Jul 6 22:24:44 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Sun 11 Jul 2010 08:14:38 AM PDT
Last Seen                     Sun 11 Jul 2010 08:14:39 AM PDT
Local ID                      d8803924-02a3-446e-b20d-15ae78163c71
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278861279.461:42): avc:  denied  { getattr } for  pid=2279 comm="exim" path="/home/frank/.procmailrc" dev=sdb1 ino=4480740 scontext=system_u:system_r:exim_t:s0 tcontext=unconfined_u:object_r:procmail_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278861279.461:42): arch=40000003 syscall=196 success=no exit=-13 a0=2164020 a1=bf91420c a2=6fcff4 a3=216cd55 items=0 ppid=2278 pid=2279 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="exim" exe="/usr/sbin/exim" subj=system_u:system_r:exim_t:s0 key=(null)



Hash String generated from  catchall,exim,exim_t,procmail_home_t,file,getattr
audit2allow suggests:

#============= exim_t ==============
allow exim_t procmail_home_t:file getattr;
Comment 1 Miroslav Grepl 2010-07-19 08:59:40 EDT
I will add

procmail_read_home_files(exim_t)
Comment 2 Miroslav Grepl 2010-07-19 11:19:21 EDT
Fixed in selinux-policy-3.7.19-38.fc13
Comment 3 Fedora Admin XMLRPC Client 2010-11-08 16:50:52 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2010-11-08 16:52:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2010-11-08 16:53:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2011-06-01 09:39:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.